Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001556TestLinkTest Executepublic2008-05-20 18:512009-01-20 05:24
ReporterPeter Rooms 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version1.8 Beta 1 
Fixed in Version 
Summary0001556: It would be nice to see the result of previous test executions and the related bugs when going to the test execution screen
DescriptionWhen you add a new build and then go to the test execution page, you can ask for the execution history.
It would be nice to have some more information on that summary as the result of the previous executions and the related bugs.

This would give you a good overview of the status of the test case.

eg, in previous build the test case execution was unsuccessfull and the related issues are not resolved, then it is kind of useless to execute the case again.
Right now you have no clue.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7
PHP Version5.2.4
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon rev5890 TC29.jpg [^] (262,990 bytes) 2008-05-22 15:21
jpg file icon rev5933 TC29- single.jpg [^] (263,189 bytes) 2008-05-22 15:27
jpg file icon rev5933 TC29.jpg [^] (262,148 bytes) 2008-05-22 15:34

- Relationships

-  Notes
(0003597)
Peter Rooms (reporter)
2008-05-20 19:14

actually rigth now nothing is shown about the previous test execution.
(0003605)
fman (administrator)
2008-05-21 23:46
edited on: 2008-05-21 23:46

Please explain with more detail. Some screen shoots will help
(0003612)
Peter Rooms (reporter)
2008-05-22 15:40

I have test case 29 that is executed in build rev5890 (rev5890 TC29.jpg)and rev5933 (rev5933 TC29- single.jpg).
In both build I have issues related to the test case.

If I now select the case in the latest revision there is no difference in the execution view whether I select the "show complete execution history" (rev5933 TC29.jpg) or the "show only last execution" (rev5933 TC29- single.jpg).

I expected to see the complete history with the related defects.

This would help when I start executing my next build. When I see the complete execution history it can help me descide if I already can retest an issue or not (and what the previous related issues were)
(0003613)
fman (administrator)
2008-05-22 17:43

Please enabled option to show WHOLE HISTORY ON ANY BUILD:

Here all configuration options (HEAD CVS):

// ASCending -> last execution at bottom
// DESCending -> last execution on top [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->history_order='DESC';

// TRUE -> the whole execution history for the choosen build will be showed
// FALSE -> just last execution for the choosen build will be showed [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->history_on=FALSE;


// TRUE -> test case VERY LAST (i.e. in any build) execution status will be displayed
// FALSE -> only last result on current build. [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->show_last_exec_any_build=FALSE;

// TRUE -> History for all builds will be shown
// FALSE -> Only history of the current build will be shown [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->show_history_all_builds=FALSE;

// different models for the attachments management on execution page
// $att_model_m1 -> shows upload button and title
// $att_model_m2 -> hides upload button and title
$tlCfg->exec_cfg->att_model = $att_model_m2; //defined in const.inc.php

// 1 -> User can delete an execution result
// 0 -> User can not. [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->can_delete_execution=0;

// 1 -> enable XML-RPC calls to external test automation server
// new buttons will be displayed on execution pages
// 0 -> disable
$tlCfg->exec_cfg->enable_test_automation=0;

// 1 -> enable testcase counters by status on tree
$tlCfg->exec_cfg->enable_tree_testcase_counters=1;

// 1 -> test cases and test case counters will be coluored
// according to test case status
$tlCfg->exec_cfg->enable_tree_colouring=1;

// 20080303 - franciscom
// This can help to avoid performance problems.
// Controls what happens on right frame when user clicks on a testsuite on tree.
// 1 -> old BEHAVIOUR
// show all test cases presents on test suite and children test suite.
// 0 -> nothing happens, to execute a test case you need to click on test case
$tlCfg->exec_cfg->show_testsuite_contents=0;

// 1 -> user can edit execution notes, on old executions (Attention: user must have test case execution right)
// 0 -> no edit allowed [STANDARD BEHAVIOUR]
$tlCfg->exec_cfg->edit_notes=0;

// Filter Test cases a user with tester role can VIEW depending on
// test execution assignment.
// all: all test cases.
// assigned_to_me: test cases assigned to logged user.
// assigned_to_me_or_free: test cases assigned to logged user or not assigned
$tlCfg->exec_cfg->view_mode->tester='assigned_to_me';

// Filter Test cases a user with tester role can EXECUTE depending on
// test execution assignment.
// all: all test cases.
// assigned_to_me: test cases assigned to logged user.
// assigned_to_me_or_free: test cases assigned to logged user or not assigned
$tlCfg->exec_cfg->exec_mode->tester='assigned_to_me';


// logged_user -> combo will be set to logged user
// none -> no filter applied by default
$tlCfg->exec_cfg->user_filter_default='logged_user';
(0003614)
fman (administrator)
2008-05-22 17:44

Try with:

$tlCfg->exec_cfg->history_on
$tlCfg->exec_cfg->show_last_exec_any_build
$tlCfg->exec_cfg->show_history_all_builds


please let me know, outcome
(0003617)
Peter Rooms (reporter)
2008-05-22 18:34

When I put those on it works nicely, thx.

Just one small thing I had to change the settings in the
config.inc.php

tried the custom first but did not see any changes.
Aren't these overwritten whn put in the custom file ?

- Issue History
Date Modified Username Field Change
2008-05-20 18:51 Peter Rooms New Issue
2008-05-20 18:51 Peter Rooms Browser => IE7
2008-05-20 18:51 Peter Rooms PHP Version => 5.2.4
2008-05-20 19:14 Peter Rooms Note Added: 0003597
2008-05-21 23:46 fman Note Added: 0003605
2008-05-22 15:07 mhavlat Status new => feedback
2008-05-22 15:21 Peter Rooms File Added: rev5890 TC29.jpg
2008-05-22 15:27 Peter Rooms File Added: rev5933 TC29- single.jpg
2008-05-22 15:34 Peter Rooms File Added: rev5933 TC29.jpg
2008-05-22 15:40 Peter Rooms Note Added: 0003612
2008-05-22 17:43 fman Note Added: 0003613
2008-05-22 17:44 fman Note Added: 0003614
2008-05-22 18:34 Peter Rooms Note Added: 0003617
2008-05-24 00:00 fman Status feedback => resolved
2008-05-24 00:00 fman Resolution open => no change required
2008-05-24 00:00 fman Assigned To => fman
2009-01-20 05:24 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker